post
https://yourwebhook.com/channel/busy_mode
Purpose
When a store is busy it may choose to restrict the flow of incoming orders either by temporarily pausing their store or by increasing the expected pickup time of orders. These events are sent via the Busy Mode webhook and should initiate real time updates to a stores availability.
Format
Busy mode events will specify the target store via it's unique channelLinkId together with one of three updated status detailed below.
| Status | Meaning |
|---|---|
PAUSED | The store should be 'paused' and closed to online orders until further notification |
BUSY | The store is currently busy and ASAP orders should not be possible, the specified "delay" in minutes should be clearly communicated to guests when processing new orders. |
ONLINE | This is a request to disable busy mode. The store should be open as normal. |
Request
See below examples of busy mode events to expect;
{
"accountId": "5b****71c6489f0029****d4",
"locationId": "5c****ecc6489f0001****b8",
"channelLinkId": "5e****abc11dec0001****9b",
"status": "PAUSED"
}{
"accountId": "5b****71c6489f0029****d4",
"locationId": "5c****ecc6489f0001****b8",
"channelLinkId": "5e****abc11dec0001****9b",
"status": "ONLINE"
}{
"accountId": "61e14f0c888c8389fa5908bb",
"locationId": "633d62de0f******f893bdf",
"channelLinkId": "647618*******166c858de0b0",
"status": "BUSY",
"delay": 30
}Response
The response should indicate pausing or unpausing the store was successful with a 200 OK status code. The body of the response should echo the current status of the store after having made the change ("PAUSED" , "ONLINE", "BUSY").
{
"status": "PAUSED"
}{
"status": "ONLINE"
}{
"status": "BUSY"
}